# create the assignment table
CREATE TABLE assignment (
  project_id VARCHAR(50) NOT NULL,
  project_area VARCHAR(200) NOT NULL,
  person_id INT NOT NULL,
  area_order INT NOT NULL,
  CONSTRAINT assignment_pk PRIMARY KEY (project_id, project_area),    
  CONSTRAINT assignment_project FOREIGN KEY (project_id)
    REFERENCES project,
  CONSTRAINT assignment_person FOREIGN KEY (person_id)
    REFERENCES person
    ON_DELETE_CASCADE
)