# create the issue trail table
CREATE TABLE $PROJECT_trail (
  trail_id INT NOT NULL,
  issue_id INT NOT NULL,
  issue_type VARCHAR(50),
  severity VARCHAR(50),
  priority VARCHAR(50),
  state VARCHAR(50) NOT NULL,
  author VARCHAR(50) NOT NULL, 
  responsible VARCHAR(50),
  issue_description LONGTEXT NOT NULL,
  ts TIMESTAMP NOT NULL,
  cc_mail VARCHAR(255), 
  PRIMARY KEY (trail_id),
  CONSTRAINT $PROJECT9 FOREIGN KEY (issue_id)
    REFERENCES $PROJECT_issue
    ON_DELETE_CASCADE
)
